Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_00.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_00.cfg	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_00.cfg	(revision 138)
@@ -36,6 +36,7 @@
     <parameter name="nb_rename_unit_bank"                   value="1" />
   </rename_bloc>                                            
-                                                            
-  <read_bloc id="0">                                        
+
+  <read_bloc id="0,1">                                        
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="1" />
     <parameter name="size_reservation_station"              value="1" />
@@ -43,5 +44,6 @@
   </read_bloc>                                              
                                                             
-  <write_bloc id="0">                                       
+  <write_bloc id="0,1">                                       
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="1" />
     <parameter name="size_execute_queue"                    value="1" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="1" />
     <parameter name="size_speculative_access_queue"         value="1" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="1" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -113,4 +122,5 @@
     <parameter name="size_re_order_buffer"                  value="1" />
     <parameter name="nb_re_order_buffer_bank"               value="1" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -121,11 +131,11 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="1" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
   <execute_loop id="0">
-    <parameter name="nb_read_unit"                          value="1" />
-    <parameter name="nb_write_unit"                         value="1" />
+    <parameter name="nb_read_unit"                          value="2" />
+    <parameter name="nb_write_unit"                         value="2" />
     <parameter name="nb_gpr_bank"                           value="1" />
     <parameter name="nb_gpr_port_read_by_bank"              value="1" />
@@ -163,17 +173,21 @@
   <link name="link_rename_unit_with_rename_bloc"       src="0"     dest="0.0" />
   <link name="link_read_unit_with_read_bloc"           src="0"     dest="0.0" />
+  <link name="link_read_unit_with_read_bloc"           src="1"     dest="0.1" />
   <link name="link_write_unit_with_write_bloc"         src="0"     dest="0.0" />
+  <link name="link_write_unit_with_write_bloc"         src="1"     dest="0.1" />
   <link name="link_decod_bloc_with_thread"             src="0"     dest="0"   />
   <link name="link_rename_bloc_with_front_end"         src="0"     dest="0"   />
-  <link name="link_load_store_unit_with_thread"        src="0"     dest="0"   />
 
   <link name="link_icache_port_with_thread"            src="0"     dest="0"   />
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
+
+  <link name="link_load_store_unit_with_thread"        src="0"     dest="0"   />
   <link name="link_thread_and_functionnal_unit"        src="0.0"   dest="1"   />
 
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_01.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_01.cfg	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_01.cfg	(revision 138)
@@ -37,5 +37,6 @@
   </rename_bloc>                                            
                                                             
-  <read_bloc id="0">                                        
+  <read_bloc id="0,1">                                        
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="2" />
     <parameter name="size_reservation_station"              value="2" />
@@ -43,5 +44,6 @@
   </read_bloc>                                              
                                                             
-  <write_bloc id="0">                                       
+  <write_bloc id="0,1">                                       
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="2" />
     <parameter name="size_execute_queue"                    value="2" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="2" />
     <parameter name="size_speculative_access_queue"         value="2" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="1" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -113,4 +122,5 @@
     <parameter name="size_re_order_buffer"                  value="16"/>
     <parameter name="nb_re_order_buffer_bank"               value="1" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -121,11 +131,11 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="2" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
   <execute_loop id="0">
-    <parameter name="nb_read_unit"                          value="1" />
-    <parameter name="nb_write_unit"                         value="1" />
+    <parameter name="nb_read_unit"                          value="2" />
+    <parameter name="nb_write_unit"                         value="2" />
     <parameter name="nb_gpr_bank"                           value="1" />
     <parameter name="nb_gpr_port_read_by_bank"              value="2" />
@@ -163,17 +173,22 @@
   <link name="link_rename_unit_with_rename_bloc"       src="0"     dest="0.0" />
   <link name="link_read_unit_with_read_bloc"           src="0"     dest="0.0" />
+  <link name="link_read_unit_with_read_bloc"           src="1"     dest="0.1" />
   <link name="link_write_unit_with_write_bloc"         src="0"     dest="0.0" />
+  <link name="link_write_unit_with_write_bloc"         src="1"     dest="0.1" />
   <link name="link_decod_bloc_with_thread"             src="0"     dest="0"   />
   <link name="link_rename_bloc_with_front_end"         src="0"     dest="0"   />
-  <link name="link_load_store_unit_with_thread"        src="0"     dest="0"   />
 
   <link name="link_icache_port_with_thread"            src="0"     dest="0"   />
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
+
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
+
+  <link name="link_load_store_unit_with_thread"        src="0"     dest="0"   />
   <link name="link_thread_and_functionnal_unit"        src="0.0"   dest="1"   />
 
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_02.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_02.cfg	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_02.cfg	(revision 138)
@@ -37,5 +37,6 @@
   </rename_bloc>                                            
                                                             
-  <read_bloc id="0">                                        
+  <read_bloc id="0,1">                                        
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="2" />
     <parameter name="size_reservation_station"              value="4" />
@@ -43,5 +44,6 @@
   </read_bloc>                                              
                                                             
-  <write_bloc id="0">                                       
+  <write_bloc id="0,1">                                       
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="2" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="4" />
     <parameter name="size_speculative_access_queue"         value="2" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="1" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -113,4 +122,5 @@
     <parameter name="size_re_order_buffer"                  value="32"/>
     <parameter name="nb_re_order_buffer_bank"               value="2" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -121,11 +131,11 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="4" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
   <execute_loop id="0">
-    <parameter name="nb_read_unit"                          value="1" />
-    <parameter name="nb_write_unit"                         value="1" />
+    <parameter name="nb_read_unit"                          value="2" />
+    <parameter name="nb_write_unit"                         value="2" />
     <parameter name="nb_gpr_bank"                           value="1" />
     <parameter name="nb_gpr_port_read_by_bank"              value="2" />
@@ -163,17 +173,21 @@
   <link name="link_rename_unit_with_rename_bloc"       src="0"     dest="0.0" />
   <link name="link_read_unit_with_read_bloc"           src="0"     dest="0.0" />
+  <link name="link_read_unit_with_read_bloc"           src="1"     dest="0.1" />
   <link name="link_write_unit_with_write_bloc"         src="0"     dest="0.0" />
+  <link name="link_write_unit_with_write_bloc"         src="1"     dest="0.1" />
   <link name="link_decod_bloc_with_thread"             src="0"     dest="0"   />
   <link name="link_rename_bloc_with_front_end"         src="0"     dest="0"   />
-  <link name="link_load_store_unit_with_thread"        src="0"     dest="0"   />
 
   <link name="link_icache_port_with_thread"            src="0"     dest="0"   />
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
+
+  <link name="link_load_store_unit_with_thread"        src="0"     dest="0"   />
   <link name="link_thread_and_functionnal_unit"        src="0.0"   dest="1"   />
 
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_03.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_03.cfg	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_03.cfg	(revision 138)
@@ -38,4 +38,5 @@
                                                             
   <read_bloc id="0,1">                                        
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="2" />
     <parameter name="size_reservation_station"              value="4" />
@@ -44,4 +45,5 @@
                                                             
   <write_bloc id="0,1">                                       
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="2" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="8" />
     <parameter name="size_speculative_access_queue"         value="2" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="1" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -116,4 +125,5 @@
     <parameter name="size_re_order_buffer"                  value="32"/>
     <parameter name="nb_re_order_buffer_bank"               value="2" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -124,6 +134,6 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="4" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
@@ -176,14 +186,10 @@
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
 
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="0"   />
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
 
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_04.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_04.cfg	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_04.cfg	(revision 138)
@@ -38,4 +38,5 @@
                                                             
   <read_bloc id="0,1,2">                                        
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="2" />
     <parameter name="size_reservation_station"              value="4" />
@@ -44,4 +45,5 @@
                                                             
   <write_bloc id="0,1,2">                                       
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="2" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="8" />
     <parameter name="size_speculative_access_queue"         value="2" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="1" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -132,4 +141,5 @@
     <parameter name="size_re_order_buffer"                  value="32"/>
     <parameter name="nb_re_order_buffer_bank"               value="8" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -140,6 +150,6 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="4" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
@@ -199,12 +209,7 @@
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.0.2" dest="1"   />
-
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="2.0"   dest="0"   />
-
+
+
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.1"   dest="0"   />
@@ -214,12 +219,10 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="2.1"   dest="1"   />
 
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="1.1"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="2.0"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="1.1"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="2.1"   dest="1"   />
 
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_05.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_05.cfg	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w01_05.cfg	(revision 138)
@@ -37,5 +37,6 @@
   </rename_bloc>                                            
                                                             
-  <read_bloc id="0">                                        
+  <read_bloc id="0,1">                                        
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="4" />
@@ -43,5 +44,6 @@
   </read_bloc>                                              
                                                             
-  <write_bloc id="0">                                       
+  <write_bloc id="0,1">                                       
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="4" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="8" />
     <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="1" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -113,4 +122,5 @@
     <parameter name="size_re_order_buffer"                  value="32"/>
     <parameter name="nb_re_order_buffer_bank"               value="2" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -121,11 +131,11 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="4" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
   <execute_loop id="0">
-    <parameter name="nb_read_unit"                          value="1" />
-    <parameter name="nb_write_unit"                         value="1" />
+    <parameter name="nb_read_unit"                          value="2" />
+    <parameter name="nb_write_unit"                         value="2" />
     <parameter name="nb_gpr_bank"                           value="1" />
     <parameter name="nb_gpr_port_read_by_bank"              value="2" />
@@ -163,17 +173,21 @@
   <link name="link_rename_unit_with_rename_bloc"       src="0"     dest="0.0" />
   <link name="link_read_unit_with_read_bloc"           src="0"     dest="0.0" />
+  <link name="link_read_unit_with_read_bloc"           src="1"     dest="0.1" />
   <link name="link_write_unit_with_write_bloc"         src="0"     dest="0.0" />
+  <link name="link_write_unit_with_write_bloc"         src="1"     dest="0.1" />
   <link name="link_decod_bloc_with_thread"             src="0"     dest="0"   />
   <link name="link_rename_bloc_with_front_end"         src="0"     dest="0"   />
-  <link name="link_load_store_unit_with_thread"        src="0"     dest="0"   />
 
   <link name="link_icache_port_with_thread"            src="0"     dest="0"   />
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
+
+  <link name="link_load_store_unit_with_thread"        src="0"     dest="0"   />
   <link name="link_thread_and_functionnal_unit"        src="0.0"   dest="1"   />
 
